package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 员工工作经历
 * @version 1.0
 * @date
 */
@Data
@TableName("human_resources_enrollment_family_info")
public class EnrollmentFamilyInfo extends BaseEntity {
    /**
     * 关联id
     */
    private String enrollmentRegistrationId;

    //成员姓名
    private String name;

    //出生日期
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Date birthDate;

    //与本人关系名称
    private String relation;

    //性别
    private String gender;

    //手机号码
    private String mobile;

    //工作单位
    private String workUnit;

    //联系电话
    private String contactNumber;
    /** 用户id */
    private String userId;

    /** 状态 */
    private String status;
}
