package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import lombok.Data;

import java.util.List;

/**
 * 培训经历
 * @version 1.0
 * @date
 */
@Data
@TableName("human_resources_enrollment_language_info")
public class EnrollmentLanguageInfo extends BaseEntity {

    //语言
    private String language;

    //是否母语
    private String isNative;

    //掌握程度
    private String proficiency;

    //书写能力
    private String writingAbility;

    //阅读能力
    private String readingAbility;

    //口语能力
    private String speakingAbility;

    //附件
    @TableField(exist = false)
    private List<WorkAttachmentInfoDTO> files;

    /** 关联id */
    private String enrollmentRegistrationId;
    /** 用户id */
    private String userId;


    /** 状态 */
    private String status;
}
