package com.jeeplus.human.enrollment.enrollmentRegistration.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentEduInfo;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentWorkInfo;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @version 1.0
 * @date
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface EnrollmentWorkInfoMapper extends BaseMapper<EnrollmentWorkInfo> {
    EnrollmentWorkInfo getById(@Param("id") String id);

    List<EnrollmentWorkInfo> getByRegistrationId(@Param("enrollmentRegistrationId") String enrollmentRegistrationId);
   void deleteByRegistrationId(@Param("enrollmentRegistrationId") String enrollmentRegistrationId);

}
