package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 员工工作经历
 * @version 1.0
 * @date
 */
@Data
@TableName("human_resources_enrollment_work_info")
public class EnrollmentWorkInfo extends BaseEntity {
    /**
     * 关联id
     */
    private String enrollmentRegistrationId;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 职务/职位名称
     */
    private String position;

    /**
     * 开始时间（工作开始日期）
     */
    private Date startDate;

    /**
     * 结束时间（工作结束日期）
     */
    private Date endDate;

    /**
     * 证明人（例如单位负责人、同事等）
     */
    private String certifier;

    /**
     * 是否为本单位工作经历（true 表示是，false 表示否）
     */
    private String isCurrentCompanyExperience;
    /** 用户id */
    private String userId;

    /** 状态 */
    private String status;
}
